Bug 1076190 - Rendering of Unicode tie bars could be improved
Summary: Rendering of Unicode tie bars could be improved
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: liberation-fonts
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-13 18:16 UTC by Ryan Kaldari
Modified: 2019-07-29 15:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:22:06 UTC


Attachments (Terms of Use)
comparison between Liberation Sans and Helvetica (6.94 KB, image/png)
2014-03-13 18:16 UTC, Ryan Kaldari
no flags Details
screenshot showing clipping (4.06 KB, image/png)
2014-03-13 18:17 UTC, Ryan Kaldari
no flags Details
comparison with more characters (7.83 KB, image/png)
2014-04-21 16:12 UTC, Ryan Kaldari
no flags Details

Description Ryan Kaldari 2014-03-13 18:16:46 UTC
Created attachment 874108 [details]
comparison between Liberation Sans and Helvetica

Description of problem:
The rendering of the two Unicode tie bar combining characters (U+035E and U+035F) is not ideal. In particular the characters are quite short and far away from the characters they are tying together. This makes it appear more like a misplaced macron than a tie bar. The rendering in Liberation Sans appears to be equivalent to that of Arial which has the same issues. The rendering in Helvetica is better (see attachment 1 [details]).

In particular, because the under tie bar (U+035F) is so far away from the other characters, it sometimes gets clipped when rendered, as it appears to fall slightly outside of the bounding box for the line height (see attachment 2 [details]).

My suggestion would be to make the length of both tie bars slightly longer, and to move both of them slightly closer to the characters they are intended to tie together.

Version-Release number of selected component (if applicable):
12-Mar-2014 (2.x)

How reproducible:
Always

Steps to Reproduce:
1. Install latest Liberation Sans (and Helvetica if you want to compare)
2. Go to https://www.mediawiki.org/wiki/User:Kaldari/Font_test_2

Actual results:
Tie bars should be slightly longer and closer to the other characters.

Expected results:
Tie bar are quite short and far away.

Additional info:
See attachments for more info.

Comment 1 Ryan Kaldari 2014-03-13 18:17:24 UTC
Created attachment 874118 [details]
screenshot showing clipping

Comment 2 Ryan Kaldari 2014-03-13 18:20:59 UTC
By the way, if you adjust the tie bar characters, you may want to look at the other tie characters at the same time to make sure they are all visually consistant:

Rendered:
a͜a a͝a a͞a a͟a a͠a a͡a

HTML:
a͜a a͝a a͞a a͟a a͠a a͡a

Unicode:
U+035C U+035D U+035E U+035F U+0360 U+0361

Comment 3 Pravin Satpute 2014-03-14 06:20:23 UTC
Agree with you !!
We just need to make sure fixing this does not create any kind of regression.

I will fix this.

Comment 4 Pravin Satpute 2014-03-14 07:20:21 UTC
In this example you have mentioned only about 

"a U+035e a" , how about "a U+035e b"?  same applies for f, d

Existing position of uni035F works fine even with a͞b

How helvetica rendering it?

Comment 5 Pravin Satpute 2014-04-21 11:58:22 UTC
Unfortunately i dont have helvetica font with me.

1. Your "attachment 1 [details]" is not opening at my end. Please attach it again.
2. Give me screenshot about how Helvetica handling a͞b and a͟g 

If possible provide me link to get Helvetica.

Comment 6 Ryan Kaldari 2014-04-21 16:12:05 UTC
Created attachment 888126 [details]
comparison with more characters

I've attached a new screenshot showing the combinations requested.

Comment 7 Ryan Kaldari 2014-04-21 16:14:50 UTC
I case you can't open that attachment for some reason...

Helvetica is rendering a͞b and a͟g the same as Liberation Sans except for the horizontal position. In other words, it crosses the b and g, which is fine I think.

Comment 8 Pravin Satpute 2014-04-22 11:25:47 UTC
I tried to fix this in http://pravins.fedorapeople.org/LiberationSans-Regular.ttf and http://pravins.fedorapeople.org/LiberationSans-Bold.ttf


Issue after this fix is.
1. For low width characters like "i", "j", "l"  tie bar will get merged with previous letter.

Please test this and let me know if this work fine. Presently only improved for latin small case letters "a-z"

Do give some reference from helvetica if issues.

Comment 9 Ryan Kaldari 2014-04-29 15:34:31 UTC
This looks great. Nice work!

Comment 10 Fedora End Of Life 2015-05-29 11:14:39 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2015-06-30 00:57:08 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 12 Fedora End Of Life 2016-11-24 11:08:26 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2017-11-16 19:15:53 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2017-12-12 10:22:06 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 15 Ryan Kaldari 2019-07-29 15:58:43 UTC
As far as I know this fix has never been pushed upstream. Please update if that is incorrect.


Note You need to log in before you can comment on or make changes to this bug.